GET
/price-trend-of-location Get price trends
Description
Get property price trends for a specific location and property type.
Parameters
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
location_id | string | Required | - Location ID - Example: `50` (Dubai Marina) | 50 |
property_type | string | Optional | - Property type for trend analysis - Default: `apartment` | apartment |
Code Examples
curl --request GET \
--url 'https://uae-real-estate-property.p.rapidapi.com/price-trend-of-location?location_id=50' \
--header 'x-rapidapi-host: uae-real-estate-property.p.rapidapi.com' \
--header 'x-rapidapi-key: YOUR_API_KEY' Example Response
Response
{
"success": true,
"data": {
"data": {
"attributes": {
"graph": {
"1Y": [
{
"bedroom_id": 1,
"community_price": 2561,
"date": "2025-10-01T00:00:00Z",
"period": "Oct 2025",
"time_frame": "1Y",
"tower_price": 2561
},
{
"bedroom_id": 2,
"community_price": 2202,
"date": "2025-10-01T00:00:00Z",
"period": "Oct 2025",
"time_frame": "1Y",
"tower_price": 2202
},
{
"bedroom_id": 3,
"community_price": 2142,
"date": "2025-10-01T00:00:00Z",
"period": "Oct 2025",
"time_frame": "1Y",
"tower_price": 2142
}
],
"2Y": [
"…"
],
"5Y": [
"…"
]
},
"overview": {
"axis_label": "AED/Sqft",
"community_name": "Dubai Marina",
"has_utilities": false,
"tower_name": "Dubai Marina"
}
},
"id": 50,
"type": "price-trends"
}
}
} Try this endpoint now
Subscribe to UAEPropertyAPI on RapidAPI and start making requests in minutes.